25305787 developer/opensolaris/userland depends on obsolete/split codec/ogg-vorbis
authorAlan Coopersmith <Alan.Coopersmith@Oracle.COM>
Thu, 22 Dec 2016 10:01:11 -0800
changeset 7548 ad7417efe433
parent 7547 99009c0665cc
child 7549 b8b4d11b11b9
25305787 developer/opensolaris/userland depends on obsolete/split codec/ogg-vorbis
components/desktop/firefox/Makefile
components/desktop/flac/Makefile
components/desktop/gstreamer1/gst-plugins-base/Makefile
components/desktop/gstreamer1/gst-plugins-good/Makefile
components/desktop/libcanberra/Makefile
components/desktop/speex/Makefile
components/gnome/tracker/Makefile
components/libsndfile/Makefile
components/sox/Makefile
--- a/components/desktop/firefox/Makefile	Mon Jan 09 11:03:42 2017 -0800
+++ b/components/desktop/firefox/Makefile	Thu Dec 22 10:01:11 2016 -0800
@@ -193,9 +193,12 @@
 	'-e "/^PASSED ALL/,/Failed:/p" ' \
 	'-e "/.*/d" '
 
+ifeq ($(BUILD_TYPE), evaluation)
+REQUIRED_PACKAGES += codec/ogg-vorbis
+else
 REQUIRED_PACKAGES += codec/libogg
 REQUIRED_PACKAGES += codec/libvorbis
-REQUIRED_PACKAGES += codec/ogg-vorbis
+endif
 REQUIRED_PACKAGES += database/sqlite-3
 REQUIRED_PACKAGES += developer/gcc-49
 REQUIRED_PACKAGES += library/desktop/atk
--- a/components/desktop/flac/Makefile	Mon Jan 09 11:03:42 2017 -0800
+++ b/components/desktop/flac/Makefile	Thu Dec 22 10:01:11 2016 -0800
@@ -47,9 +47,12 @@
 
 CONFIGURE_OPTIONS += --enable-ogg
 
+ifeq ($(BUILD_TYPE), evaluation)
+REQUIRED_PACKAGES += codec/ogg-vorbis
+else
 REQUIRED_PACKAGES += codec/libogg
 REQUIRED_PACKAGES += codec/libvorbis
-REQUIRED_PACKAGES += codec/ogg-vorbis
+endif
 REQUIRED_PACKAGES += system/library/gcc/gcc-c++-runtime
 REQUIRED_PACKAGES += system/library/gcc/gcc-c-runtime
 REQUIRED_PACKAGES += system/library/math
--- a/components/desktop/gstreamer1/gst-plugins-base/Makefile	Mon Jan 09 11:03:42 2017 -0800
+++ b/components/desktop/gstreamer1/gst-plugins-base/Makefile	Thu Dec 22 10:01:11 2016 -0800
@@ -88,10 +88,13 @@
         '-e "/FAIL:/p" ' \
         '-e "/ERROR:/p" '
 
+REQUIRED_PACKAGES += codec/libtheora
+ifeq ($(BUILD_TYPE), evaluation)
+REQUIRED_PACKAGES += codec/ogg-vorbis
+else
 REQUIRED_PACKAGES += codec/libogg
-REQUIRED_PACKAGES += codec/libtheora
 REQUIRED_PACKAGES += codec/libvorbis
-REQUIRED_PACKAGES += codec/ogg-vorbis
+endif
 REQUIRED_PACKAGES += library/desktop/cairo
 REQUIRED_PACKAGES += library/desktop/gobject/gobject-introspection
 REQUIRED_PACKAGES += library/desktop/gstreamer-1
--- a/components/desktop/gstreamer1/gst-plugins-good/Makefile	Mon Jan 09 11:03:42 2017 -0800
+++ b/components/desktop/gstreamer1/gst-plugins-good/Makefile	Thu Dec 22 10:01:11 2016 -0800
@@ -97,7 +97,6 @@
 REQUIRED_PACKAGES += codec/libtheora
 REQUIRED_PACKAGES += codec/libvorbis
 REQUIRED_PACKAGES += codec/libvpx
-REQUIRED_PACKAGES += codec/ogg-vorbis
 REQUIRED_PACKAGES += codec/speex
 REQUIRED_PACKAGES += image/library/libjpeg
 REQUIRED_PACKAGES += image/library/libpng
--- a/components/desktop/libcanberra/Makefile	Mon Jan 09 11:03:42 2017 -0800
+++ b/components/desktop/libcanberra/Makefile	Thu Dec 22 10:01:11 2016 -0800
@@ -65,7 +65,6 @@
 
 REQUIRED_PACKAGES += codec/libogg
 REQUIRED_PACKAGES += codec/libvorbis
-REQUIRED_PACKAGES += codec/ogg-vorbis
 REQUIRED_PACKAGES += developer/documentation-tool/gtk-doc
 REQUIRED_PACKAGES += developer/vala
 REQUIRED_PACKAGES += library/audio/pulseaudio
--- a/components/desktop/speex/Makefile	Mon Jan 09 11:03:42 2017 -0800
+++ b/components/desktop/speex/Makefile	Thu Dec 22 10:01:11 2016 -0800
@@ -43,7 +43,10 @@
 
 CONFIGURE_OPTIONS += --disable-static
 
+ifeq ($(BUILD_TYPE), evaluation)
+REQUIRED_PACKAGES += codec/ogg-vorbis
+else
 REQUIRED_PACKAGES += codec/libogg
 REQUIRED_PACKAGES += codec/libvorbis
-REQUIRED_PACKAGES += codec/ogg-vorbis
+endif
 REQUIRED_PACKAGES += system/library/math
--- a/components/gnome/tracker/Makefile	Mon Jan 09 11:03:42 2017 -0800
+++ b/components/gnome/tracker/Makefile	Thu Dec 22 10:01:11 2016 -0800
@@ -111,7 +111,6 @@
 REQUIRED_PACKAGES += codec/flac
 REQUIRED_PACKAGES += codec/libogg
 REQUIRED_PACKAGES += codec/libvorbis
-REQUIRED_PACKAGES += codec/ogg-vorbis
 REQUIRED_PACKAGES += database/sqlite-3
 REQUIRED_PACKAGES += desktop/pdf-viewer/poppler
 REQUIRED_PACKAGES += developer/documentation-tool/gtk-doc
--- a/components/libsndfile/Makefile	Mon Jan 09 11:03:42 2017 -0800
+++ b/components/libsndfile/Makefile	Thu Dec 22 10:01:11 2016 -0800
@@ -77,8 +77,11 @@
 	'-e "/^XXX_REMOVE_XXX$$/d" '
 
 REQUIRED_PACKAGES += codec/flac
+ifeq ($(BUILD_TYPE), evaluation)
+REQUIRED_PACKAGES += codec/ogg-vorbis
+else
 REQUIRED_PACKAGES += codec/libogg
 REQUIRED_PACKAGES += codec/libvorbis
-REQUIRED_PACKAGES += codec/ogg-vorbis
+endif
 REQUIRED_PACKAGES += database/sqlite-3
 REQUIRED_PACKAGES += system/library/math
--- a/components/sox/Makefile	Mon Jan 09 11:03:42 2017 -0800
+++ b/components/sox/Makefile	Thu Dec 22 10:01:11 2016 -0800
@@ -41,9 +41,12 @@
 CONFIGURE_OPTIONS  += 	--disable-openmp
 
 REQUIRED_PACKAGES += codec/flac
+ifeq ($(BUILD_TYPE), evaluation)
+REQUIRED_PACKAGES += codec/ogg-vorbis
+else
 REQUIRED_PACKAGES += codec/libogg
 REQUIRED_PACKAGES += codec/libvorbis
-REQUIRED_PACKAGES += codec/ogg-vorbis
+endif
 REQUIRED_PACKAGES += image/library/libpng
 REQUIRED_PACKAGES += library/audio/pulseaudio
 REQUIRED_PACKAGES += library/libsndfile